import { UiComponent } from "../../UiComponent";
import { UiToolbarButtonConfig } from "../../../generated/UiToolbarButtonConfig";
import { TeamAppsUiContext } from "../../TeamAppsUiContext";
import { TeamAppsEvent } from "../../util/TeamAppsEvent";
import { UiColorConfig } from "../../../generated/UiColorConfig";
export declare class UiToolAccordionButton {
    readonly onClick: TeamAppsEvent<void>;
    private config;
    private $buttonWrapper;
    private $button;
    private $dropDownCaret;
    optimizedWidth: number;
    dropDownComponent: UiComponent;
    $dropDown: HTMLElement;
    $dropDownSourceButtonIndicator: HTMLElement;
    private uuidClass;
    private $styleTag;
    constructor(config: UiToolbarButtonConfig, context: TeamAppsUiContext);
    get id(): string;
    get visible(): boolean;
    set visible(visible: boolean);
    getMainDomElement(): HTMLElement;
    set hasDropDown(hasDropDown: boolean);
    get hasDropDown(): boolean;
    setColors(backgroundColor: UiColorConfig, hoverBackgroundColor: UiColorConfig): void;
    private updateStyles;
}
